package com.jeeplus.modules.sg.managementcenter.moduleacquisition.entity;

import com.jeeplus.core.persistence.DataEntity;

public class ModuleListing extends DataEntity<ModuleListing> {
        private String mdBigClass;//模块大类
        private String mdTheClass;//模块中类
        private String mdName;//模块名称
        private String bigClassification;//大分类
        private String theClassification;//中分类
        private String smallClassification;//小分类
        private String materialCode;//物料编码
        private String materialDescription;//物料描述
        private String extensionDescription;//扩展描述
        private String mdUnits;//单位
        private Double mdCount;//数量
        private Double mdSingleWeight;//单重
        private Double mdTotalWeight;//总重
        private String mdTheParty;//甲乙供
        private String mdText;//备注
        private Double mdTotalAmount;//总量
        private String blockId;

    @Override
    public String toString() {
        return "ModuleListing{" +
                "mdBigClass='" + mdBigClass + '\'' +
                ", mdTheClass='" + mdTheClass + '\'' +
                ", mdName='" + mdName + '\'' +
                ", bigClassification='" + bigClassification + '\'' +
                ", theClassification='" + theClassification + '\'' +
                ", smallClassification='" + smallClassification + '\'' +
                ", materialCode='" + materialCode + '\'' +
                ", materialDescription='" + materialDescription + '\'' +
                ", extensionDescription='" + extensionDescription + '\'' +
                ", mdUnits='" + mdUnits + '\'' +
                ", mdCount=" + mdCount +
                ", mdSingleWeight=" + mdSingleWeight +
                ", mdTotalWeight=" + mdTotalWeight +
                ", mdTheParty='" + mdTheParty + '\'' +
                ", mdText='" + mdText + '\'' +
                ", mdTotalAmount=" + mdTotalAmount +
                ", blockId='" + blockId + '\'' +
                '}';
    }

    public String getMdBigClass() {
        return mdBigClass;
    }

    public void setMdBigClass(String mdBigClass) {
        this.mdBigClass = mdBigClass;
    }

    public String getMdTheClass() {
        return mdTheClass;
    }

    public void setMdTheClass(String mdTheClass) {
        this.mdTheClass = mdTheClass;
    }

    public String getMdName() {
        return mdName;
    }

    public void setMdName(String mdName) {
        this.mdName = mdName;
    }

    public String getBigClassification() {
        return bigClassification;
    }

    public void setBigClassification(String bigClassification) {
        this.bigClassification = bigClassification;
    }

    public String getTheClassification() {
        return theClassification;
    }

    public void setTheClassification(String theClassification) {
        this.theClassification = theClassification;
    }

    public String getSmallClassification() {
        return smallClassification;
    }

    public void setSmallClassification(String smallClassification) {
        this.smallClassification = smallClassification;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    public String getExtensionDescription() {
        return extensionDescription;
    }

    public void setExtensionDescription(String extensionDescription) {
        this.extensionDescription = extensionDescription;
    }

    public String getMdUnits() {
        return mdUnits;
    }

    public void setMdUnits(String mdUnits) {
        this.mdUnits = mdUnits;
    }

    public Double getMdCount() {
        return mdCount;
    }

    public void setMdCount(Double mdCount) {
        this.mdCount = mdCount;
    }

    public Double getMdSingleWeight() {
        return mdSingleWeight;
    }

    public void setMdSingleWeight(Double mdSingleWeight) {
        this.mdSingleWeight = mdSingleWeight;
    }

    public Double getMdTotalWeight() {
        return mdTotalWeight;
    }

    public void setMdTotalWeight(Double mdTotalWeight) {
        this.mdTotalWeight = mdTotalWeight;
    }

    public String getMdTheParty() {
        return mdTheParty;
    }

    public void setMdTheParty(String mdTheParty) {
        this.mdTheParty = mdTheParty;
    }

    public String getMdText() {
        return mdText;
    }

    public void setMdText(String mdText) {
        this.mdText = mdText;
    }

    public Double getMdTotalAmount() {
        return mdTotalAmount;
    }

    public void setMdTotalAmount(Double mdTotalAmount) {
        this.mdTotalAmount = mdTotalAmount;
    }

    public String getBlockId() {
        return blockId;
    }

    public void setBlockId(String blockId) {
        this.blockId = blockId;
    }
}
